<bugID>400852<Summary>Use firefox application picker dialog when, on protocol handling dialog, user clicks Choose..</Summary><Description>Created attachment 285888
The protocol handling dialog. Currently clicking 'Choose...' shows the OS file picker dialog.

Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9a9pre) Gecko/2007102304 Minefield/3.0a9pre ID:2007102304

1. New profile, start firefox
2. Visit a page that has a protocol link, eg: attachment 282694
3. Click on the link. A 'Launch Application' dialog appears. (See attachment)
4. Click on the 'Choose...' button to select an application to handle this ed2k protocol link

Expected:
- Firefox's application picker dialog appears

Actual:
- Windows' generic file picker dialog appears.</Description></bugID>